Public Member Functions | Public Attributes | List of all members
libetonyek::PAGPublicationInfo Struct Reference

`#include <PAGTypes.h>`

## Public Member Functions
| PAGPublicationInfo ()

## Public Attributes
boost::optional< std::string > | m_creationDate
boost::optional< double > | m_footnoteGap
PAGFootnoteKind | m_footnoteKind

## Constructor & Destructor Documentation

## ◆ PAGPublicationInfo()

libetonyek::PAGPublicationInfo::PAGPublicationInfo | ( |  | ) |

## Member Data Documentation

## ◆ m_creationDate

boost::optional<std::string> libetonyek::PAGPublicationInfo::m_creationDate

## ◆ m_footnoteGap

boost::optional<double> libetonyek::PAGPublicationInfo::m_footnoteGap

## ◆ m_footnoteKind

PAGFootnoteKind libetonyek::PAGPublicationInfo::m_footnoteKind

Referenced by libetonyek::PAGCollector::getFootnoteKind().

The documentation for this struct was generated from the following files:

- PAGTypes.h
- PAGTypes.cpp